{ ... }:
  let
    fs = import ../../lib/modules/partition/fs.nix;
  in {
    imports = [
      ../../lib/modules/valhalla.nix
    ];

    config = {
      valhalla = {
        partition = {
          os = {
            partitions = {
              Boot = {
                index = 1;
                type = "uefi";
                size = "+1G";
                format = fs.fat32;
                mountPoint = "/boot";
              };

              Swap = {
                index = 2;
                type = "swap";
              };

              OS = {
                index = 3;
                type = "linux";
                format = fs.ext4;
                mountPoint = "/";
              };
            };
          };
        };

        timeZone = "Europe/Zurich";
        keyMap = "de_CH-latin1";
        keyboardLayout = "ch";

        i18n = {
          localeSettings =
            let defaultLocale = "en_US.UTF-8";
            in {
              LANG = "de_CH.UTF-8";
              LANGUAGE = defaultLocale;
              LC_MESSAGE = defaultLocale;
            };
        };
      };
    };
  }
